# Taylorův polynom

Nahrazení nějaké složité funkce $(\sin, \cos, \ln)$ za jinou polynomickou funkci n-tého stupně, která na konkrétním okolí zjišťovaného bodu dostatečně aproximuje tu původní.

Chci zjistit hodnotu $\sin(29°)$
- $\displaystyle f(x) = \sin(x) \qquad x_{0}+h = \frac{29\pi}{180}$.

Znám hodnotu $\sin(30°) = \frac{1}{2}$.
- $\displaystyle x_{0} = \frac{30\pi}{180} = \frac{\pi}{6} \qquad h = -\frac{\pi}{180}$

Zjistím směrnici tečny v bodě $x_{0}$.
- $f'(x_{0}) = A$

Rovnice, kde $\tau$ je nová funkce a $A$ je derivace.
- $f(x_{0}+h) - f(x_{0}) = \tau(h) + A \cdot h$

Vypustím chybu ($\tau$) a získám přibližnou rovnost.
- $f(x_{0}+h) - f(x_{0}) \approx f'(x_{0}) \cdot h$
- $f(x_{0}+h) \approx f'(x_{0}) \cdot h + f(x_{0})$

Získám přibližný výsledek:
- $\displaystyle f\left( \frac{29\pi}{180} \right) \approx f'\left( \frac{\pi}{6} \right) \cdot \left( -\frac{\pi}{180} \right) + f\left( \frac{\pi}{6} \right)$
- $\displaystyle f\left( \frac{29\pi}{180} \right) \approx \frac{\sqrt{ 3 }}{2} \cdot \left( -\frac{\pi}{180} \right) + \frac{1}{2} = \frac{180-\sqrt{ 3 }\pi}{360}$